Name: inn
Version: 2.3.2
Release: alt4

Summary: The InterNetNews (INN) system, an Usenet news server

License: BSD-like
Group: System/Servers
Source0: ftp://ftp.isc.org/isc/inn/inn-%version.tar.bz2
Source1: %name-default-active
Source2: %name-default-distributions
Source3: %name-default-newsgroups
Source4: %name-cron-expire
Source5: %name-cron-rnews
#Source6: %name-etc-nnrp.access - obsolete
Source7: %name-cron-nntpsend
Source8: innd.init
Source9: ftp://ftp.exit109.com/users/jeremy/cleanfeed-latest.tar.bz2
Source10: ftp://ftp.isc.org/pub/pgpcontrol/pgpverify-1.10
Source11: %name-faq.tar.bz2
Patch0: %name-2.3.2-alt.patch
Patch1: %name-2.3.1-makefile.patch
Patch2: %name-2.3.2-mktemp.patch
PreReq: /sbin/chkconfig grep textutils sed fileutils sh-utils

# Automatically added by buildreq on Mon May 07 2001
BuildRequires: bison console-tools-devel db1-devel db2-devel db3-devel db3-utils flex perl-devel

%description
INN (InterNetNews) is a complete system for serving Usenet news and/or
private newsfeeds.  INN includes innd, an NNTP (NetNews Transport
Protocol) server, and nnrpd, a newsreader that is spawned for each client.
Both innd and nnrpd vary slightly from the NNTP protocol, but not in ways
that are easily noticed.

Install the inn package if you need a complete system for serving and
reading Usenet news.  You may also need to install inn-devel, if you are
going to use a separate program which interfaces to INN, like newsgate or
tin.

%package devel
Summary: The INN (InterNetNews) library
Group: System/Libraries
Requires: %name = %version

%description devel
The inn-devel package contains the INN (InterNetNews) library, which
several programs that interface with INN need in order to work (for
example, newsgate and tin).

If you are installing a program which must interface with the INN
news system, you should install inn-devel.

%package devel-static
Summary: The INN (InterNetNews) static library
Group: System/Libraries
Requires: %name = %version

%description devel-static
The inn-devel-static package contains the INN (InterNetNews) static library.

If you are building a program which must interface with the INN
news system, you should install inn-devel-static.

%package -n inews
Summary: Sends Usenet articles to a local news server for distribution
Group: System/Servers

%description -n inews
The inews program is used by some news programs (for example, inn and
trn) to post Usenet news articles to local news servers.  Inews reads an
article from a file or standard input, adds headers, performs some
consistency checks and then sends the article to the local news server
specified in the inn.conf file.

Install inews if you need a program for posting Usenet articles to local
news servers.

%prep
%setup -q -a 9 -a 11
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoconf
export CFLAGS="$RPM_OPT_FLAGS -D_XOPEN_SOURCE=500 -D_BSD_SOURCE"
./configure %_target_platform \
	--prefix=%prefix \
	--sysconfdir=%_sysconfdir/news \
	--mandir=%_mandir \
	--with-log-dir=%_var/log/news \
	--with-spool-dir=%_var/spool/news \
	--with-db-dir=%_localstatedir/news \
	--with-run-dir=%_var/run/news \
	--with-etc-dir=%_sysconfdir/news \
	--with-tmp-path=%_var/run/news/tmp \
	--with-perl \
	--enable-tagged-hash \
	--with-news-master=news \
	--enable-pgp-verify \
	--enable-libtool \
	--with-sendmail=%_sbindir/sendmail
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT

# -- Install man pages needed by suck et al.
mkdir -p $RPM_BUILD_ROOT%_includedir/inn
for f in clibrary.h configdata.h config.h dbz.h libinn.h autoconfig.h storage.h
do
    install -c -m 0644 ./include/$f $RPM_BUILD_ROOT%_includedir/inn
done

for i in active distributions newsgroups
do
    install -m 644 $RPM_SOURCE_DIR/inn-default-$i \
	$RPM_BUILD_ROOT%_localstatedir/news/$i
done

mkdir -p $RPM_BUILD_ROOT%_initdir
install -m 755 $RPM_SOURCE_DIR/innd.init $RPM_BUILD_ROOT%_initdir/innd

touch $RPM_BUILD_ROOT%_localstatedir/news/subscriptions
rm -f $RPM_BUILD_ROOT%_localstatedir/news/history
touch $RPM_BUILD_ROOT%_localstatedir/news/history
touch $RPM_BUILD_ROOT%_localstatedir/news/.news.daily
chmod 644 $RPM_BUILD_ROOT%_localstatedir/news/*

mkdir -p $RPM_BUILD_ROOT%_sysconfdir/cron.{hourly,daily}
install -m755 $RPM_SOURCE_DIR/inn-cron-expire \
        $RPM_BUILD_ROOT%_sysconfdir/cron.daily/inn-cron-expire
install -m755 $RPM_SOURCE_DIR/inn-cron-rnews \
        $RPM_BUILD_ROOT%_sysconfdir/cron.hourly/inn-cron-rnews
install -m755 $RPM_SOURCE_DIR/inn-cron-nntpsend \
        $RPM_BUILD_ROOT%_sysconfdir/cron.hourly/inn-cron-nntpsend

#Build filelist
echo "%defattr(-,news,news)" > files.list
find $RPM_BUILD_ROOT -type f -or -type l | \
	sed -e "s|$RPM_BUILD_ROOT||g" | \
	sed 's|^%_sysconfdir|%config(noreplace) &|' | \
	sed 's|^%_localstatedir/|%config(noreplace) &|' | \
	sed 's|.*innshellvar|%config &|' | \
	sed 's|%_var/log/news|%ghost &|' | \
	sed 's|%_bindir/rnews$|%attr(2711,uucp,news) %_bindir/rnews |' | \
	sed 's|%_bindir/inndstart|%attr(4710,root,news) %_bindir/inndstart |' | \
	sed 's|%_bindir/startinnfeed|%attr(4710,root,news) %_bindir/startinnfeed |' >> files.list


grep -v inews files.list | \
	egrep -v "\.(h|so|a|la)$" | \
	grep -v "/man/" > files.main
echo "%attr(-,root,root) %_mandir/man[158]/*" >> files.main

echo "%defattr(-,root,root)" > files.devel
egrep "\.(h|so|la)$" files.list >> files.devel

echo "%defattr(-,root,root)" > files.devel-static
egrep "\.(a)$" files.list >> files.devel-static

mkdir -p $RPM_BUILD_ROOT%_var/spool/news/{articles,overview,archive,outgoing,uniover,innfeed}
mkdir -p $RPM_BUILD_ROOT%_var/spool/news/incoming
mkdir -p $RPM_BUILD_ROOT%_var/spool/news/incoming/bad
#mkdir -p $RPM_BUILD_ROOT%_var/log/news
mkdir -p $RPM_BUILD_ROOT%_var/log/news/OLD
mkdir -p $RPM_BUILD_ROOT%_var/run/news

%clean
rm -f files.list files.main files.devel-static files.devel files.inews

%post
%post_service innd

[ -f %_localstatedir/news/active.times ] || {
    touch %_localstatedir/news/active.times
    chown news.news %_localstatedir/news/active.times
}

[ -f %_localstatedir/news/history ] || {
    touch %_localstatedir/news/history
}

cd %_localstatedir/news
%_bindir/makedbz -i
for i in dir hash index pag; do
    [ -f history.n.$i ] && mv history.n.$i history.$i
done
chown news.news history*
chmod 644 history*

%triggerin -- syslog-common
# default root:adm, but inn needs news:news
if [ -d %_var/log/news ]; then
  chown -R news:news %_var/log/news
fi

%triggerpostun -- inn < 2.3.2-alt4
# remove double logging
if [ -f %_sysconfdir/syslog.conf ]; then
  grep -vE "\/news.(crit|err|notice)$" %_sysconfdir/syslog.conf > %_sysconfdir/syslog.conf.inn
  mv %_sysconfdir/syslog.conf.inn %_sysconfdir/syslog.conf
  
  if [ -f %_var/run/syslogd.pid ]; then
    kill -HUP `cat %_var/run/syslogd.pid` 2> /dev/null ||:
  fi
fi

%preun
%preun_service innd
if [ $1 = 0 ] ; then
  if [ -d %_var/log/news ]; then
    rm -rf %_var/log/news/*
    chown root:adm %_var/log/news
  fi
  if [ -f %_localstatedir/news/history.dir ]; then
    rm -f %_localstatedir/news/history.*
  fi
fi

%files -f files.main
%defattr(-,news,news)
%dir %_bindir/control
%dir %_bindir/filter
%dir %_bindir/rnews.libexec
%dir %_bindir/auth/*
%dir %_sysconfdir/news
%dir /var/spool/news
%dir /var/spool/news/articles
%dir /var/spool/news/overview
%dir /var/spool/news/archive
%dir /var/spool/news/incoming
%dir /var/spool/news/incoming/bad
%dir /var/spool/news/outgoing
%dir /var/spool/news/uniover
%dir /var/spool/news/innfeed
#%dir /var/log/news
%dir /var/log/news/OLD
#%dir %_sharedstatedir/news
%dir /var/run/news
%dir /var/run/news/tmp

#%attr(-,root,root) %doc samples
%attr(-,root,root) %doc README* ChangeLog CONTRIBUTORS LICENSE HISTORY INSTALL
%attr(-,root,root) %doc faq

%files devel -f files.devel
%_mandir/man3/*

%files devel-static -f files.devel-static

%files -n inews
%defattr(-,news,news)
%_bindir/inews
%attr(-,root,root) %_mandir/man1/inews*

%changelog
* Tue Oct 02 2001 Sergey Budnevitch <svb@altlinux.ru> 2.3.2-alt4
- Fixed cron scripts
- Added syslog-common %triggerin script
- Added %triggerpostun script
- Rebuilt with --enable-libtool
- Removed sample dir
- minor fixes

* Thu Jul 26 2001 Stanislav Ievlev <inger@altlinux.ru> 2.3.2-alt3
- Rebuilt with new perl again

* Tue Jun 26 2001 Konstantin Volckov <goldhead@altlinux.ru> 2.3.2-alt2
- Rebuilt with perl-5.6.1
- Fix tmp dir
- Fixed some permissions
- Fixed init script
- Split the package - news package inn-devel-static

* Mon May  7 2001 Kostya Timoshenko <kt@altlinux.ru> 2.3.2-alt1
- clean spec file
- add mktemp patch
- removed cleanfeed
- 2.3.2

* Tue Jan 23 2001 Kostya Timoshenko <kt@petr.kz>
- 2.3.1
- fix innd.init file
- add inn-2.3.1-makefile.patch.bz2

* Tue Jan  2 2001 Kostya Timoshenko <kt@petr.kz>
- remove all patches
- add inn-2.3.0-ipl.patch.bz2
- Build for RE

* Fri Sep 22 2000 Philippe Libat <philippe@mandrakesoft.com> 2.2.2-8mdk
- change /etc/rc.news in  innd.init
- set correct permission file

* Mon Jul 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-7mdk
- Big BM cleanup merge fixes tweaking. (aka: make world).

* Wed Jun 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.2-6mdk
- Set verifycancels to false.

* Tue May 02 2000 Yoann Vandoorselaere <yoann@mandrakesoft.com> 2.2.2-5mdk
- Removed appending of news logging, cause it is now
  added to the default syslog.conf file.
- Patch for inn to build with latest perl.

* Sun Apr 09 2000 John Buswell <johnb@mandrakesoft.com> 2.2.2-4mdk
- fixed filelist
- fixed permissions
- removed subdirs in /bin

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 2.2.2-3mdk
- Fixed groups
- spec-helper

* Wed Dec 15 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed sendmail path in configure

* Tue Dec 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.2.2 (y2k fix).

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Require Perl.
- Remove %defattr(-,root,root).

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue Sep 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Include all headers (#81 again).

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- 2.2.1
- Harald Schreiber Release ;-\.

* Tue Jul 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Build for new environement (Rel: 12mdk).

* Mon May 24 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- chown news.news /var/lib/news/.*

* Sat May 22 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- add security patch from RH update -9
- update cleanfeed 0.95.5a->0.95.7b
- rename cleanfeed-latest to cleanfeed-0.95.7b, so we see when/if it's
  required to update
- pgpverify 1.12

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Tue Mar 30 1999 Preston Brown <pbrown@redhat.com>
- fixed paths in cron jobs, check to see that innd is enabled

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- path to makehistory corrected.

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- fixed permissions on rnews for uucp

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- make sure init scripts get packaged up, fix other minor bugs
- major fixups to innd.conf for denial of service attacks, sanity, etc.
- make sure history gets rebuilt in an upgrade (added to post section)
- many thanks go out to mmchen@minn.net for these suggestions.

* Fri Feb 19 1999 Cristian Gafton <gafton@redhat.com>
- prereq all the stuff we need in the postinstall scripts

* Sat Feb  6 1999 Bill Nottingham <notting@redhat.com>
- strip -x bits from docs/samples (bogus dependencies)

* Thu Sep 03 1998 Cristian Gafton <gafton@redhat.com>
- updated to version 2.1

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- innd.init chkconfig entry was incorrect (problem #855)

* Tue Jun 30 1998 Jeff Johnson <jbj@redhat.com>
- susbsys name must be identical to script name (problem #700)

* Mon Jun 29 1998 Bryan C. Andregg <bandregg@redhat.com>
- fixed startinnfeed paths

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed innfeed patched to be perl-version independent

* Wed Apr 15 1998 Bryan C. Andregg <bandregg@redhat.com>
- fixed sfnet.* entries in control.ctl

* Mon Apr 13 1998 Bryan C. Andregg <bandregg@redhat.com>
- moved cleanfeed to its own package

* Thu Apr 09 1998 Bryan C. Andregg <bandregg@redhat.com>
- added insync patches
- added cleanfeed
- added innfeed

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- abuse buildroot to simplify the file list
- built against Manhattan

* Tue Mar 24 1998 Bryan C. Andregg <bandregg@redhat.com>
- updated to inn 1.7.2
- Added REMEMBER_TRASH and Poison patch

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to inn 1.7
- added chkconfig support to the initscripts
- orginally released as release 2, leving release 1 if a 4.2.x upgrade
  is ever necessary
- don't start it in any runlevel (by default)
- added inndcomm.h

* Thu Oct 09 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Aug 05 1997 Elliot Lee <sopwith@redhat.com>
- Applied the 1.5.1sec and 1.5.1sec2 patches
- Applied 3 more unoff patches.
- Removed insanity in /etc/cron.hourly/inn-cron-nntpsend, it now
  just runs nntpsend as news.

* Wed Apr 02 1997 Erik Troan <ewt@redhat.com>
- Patch from CERT for sh exploit.
- Changed /usr/ucb/compress reference to /usr/bin/compress

* Mon Mar 17 1997 Erik Troan <ewt@redhat.com>
- Removed inews.1 from main inn package (it's still in the inews packaeg)
- Fixed references to /usr/spoo in sendbatch
- added "-s -" to crosspost line in newsfeeds
- /var/lib/news/active.time is now created as news.news
- /etc/news/nnrp.access and /etc/news/nntpsend.ctl are mode 0440
- included a better rc script which does a better job of shutting down news
- updated /etc/rc.d/rc.news output look like the rest of our initscripts
- hacked sendbatch df stuff to work on machines w/o a separate /var/spool/news

* Tue Mar 11 1997 Erik Troan <ewt@redhat.com>
- added chmod to make sure rnews is 755
- /etc/news/nnrp.access and /etc/news/nntpsend.ctl are news.news not root.news
  or root.root
- install an empty /var/lib/news/.news.daily as a config file
- added dbz/dbz.h as /usr/include/dbz.h
- added /usr/bin/inews link to /usr/lib/news/inews
- changed INEWS_PATH to DONT -- I'm not sure this is right though
- turned off MMAP_SYNC
- added a ton of man pages which were missing from the filelist
- increased CLIENT_TIMEOUT to (30 * 60)
- added a postinstall to create /var/lib/news/active.times if it doesn't
  already exist
- patched rc.news to start inn w/ -L flag
- pulled news.init into a separate source file rather then creating it through
  a patch
- added /etc/rc.d/rc5.d/S95news to the file list
- remove pid files from /var/lock/news/* on shutdown
- use /var/lock/subsys/news rather then /var/lock/subsys/inn or things
  don't shutdown properly

* Mon Mar 10 1997 Christian 'Dr. Disk' Hechelmann <drdisk@ds9.au.s.shuttle.de>
- changed devel package description to include tin.
- the devel package missed libinn.h
- moved libinn.3 man-page to the devel package
- moved changelog up
- in %post some echo statements were messed up. if we put the redirection
  staements in a different line than the echo command we really should use
  a backslash to thell the shell :-)
- in %install a chmod line referenced the same directory twice.
- changed inn-1.5.1-redhat.patch: The patch for news.daily had a side effect.
  as EXPIREOVERFLAGS was set to '-a', expireover would break if there were
  articles to be removed, as '-a' can't be used if '-z' is specified...
  Now there is a separate 'eval expireover -a' after the first eval. Dirty
  but works.

* Wed Feb 26 1997 Erik Troan <ewt@redhat.com>
- Added a /usr/bin/rnews symlink to /usr/lib/news/rnews as other programs like
  to use it.

* Tue Feb 25 1997 Elliot Lee <sopwith@cuc.edu>
- Fixed rnews path in /etc/cron.daily/inn-cron-rnews
- Added overview! and crosspost lines to /etc/news/newsfeeds
- Fixed nntpsend.ctl path in /usr/lib/news/bin/nntpsend, and set a saner
  nntpsend.ctl config file.
- Added automated inn.conf 'server: ' line creation in %post
- Added misc. patches from ftp.isc.org/isc/inn/unoff-patches/1.5
- Removed -lelf from config.data LIBS
- Made RPM_OPT_FLAGS work.
- Bug in rpm meant that putting %post after %files made it not run. Moved
  %post up.
- Added /etc/cron.hourly/inn-cron-nntpsend to send news every hour.
- Fixed most of the misc permissions/ownership stuff that inncheck
  complained about.

* Wed Feb 19 1997 Erik Troan <ewt@redhat.com>
- Incorporated changes from <drdisk@tilx01.ti.fht-esslingen.de> which fixed
  some paths and restored the cron jobs which disappeared in the 1.5.1
  switch. He also made the whole thing use a buildroot and added some files
  which were missing from the file list.
